suite: test alertmanager alertmanager
templates:
  - alertmanager/alertmanager.yaml
tests:
  - it: should not be deployed if metrics are disabled
    set:
      metrics.enabled: false
    asserts:
      - containsDocument:
          kind: Alertmanager
          apiVersion: "monitoring.coreos.com/v1"
          name: it-monit-alertmanager
        not: true
  - it: should not be deployed if alertmanager is not enabled
    set:
      metrics.enabled: true
      metrics.alertmanager.enabled: false
    asserts:
      - containsDocument:
          kind: Alertmanager
          apiVersion: "monitoring.coreos.com/v1"
          name: it-monit-alertmanager
        not: true
  - it: should be deployed if metrics and alertmanager are enabled
    set:
      metrics.enabled: true
      metrics.alertmanager.enabled: true
    asserts:
      - containsDocument:
          kind: Alertmanager
          apiVersion: "monitoring.coreos.com/v1"
          name: it-monit-alertmanager
  - it: should be deployed with volumes and volumeMounts if configured
    set:
      metrics.enabled: true
      metrics.alertmanager.enabled: true
      metrics.alertmanager.volumes:
        - name: test-volume
          secret:
            secretName: test-secret
      metrics.alertmanager.volumeMounts:
        - mountPath: /foo
          name: test-volume
    asserts:
      - containsDocument:
          kind: Alertmanager
          apiVersion: "monitoring.coreos.com/v1"
          name: it-monit-alertmanager
      - contains:
          path: spec.volumes
          count: 1
          content:
            name: test-volume
            secret:
              secretName: test-secret
      - contains:
          path: spec.volumeMounts
          count: 1
          content:
            mountPath: /foo
            name: test-volume
